Index: src/sas/qtgui/DensityPanel.py
===================================================================
--- src/sas/qtgui/DensityPanel.py	(revision 6083d6eac7288c42811c392e38943a4b00078d5e)
+++ src/sas/qtgui/DensityPanel.py	(revision 1d85b5ee1bd466fc820afbac639a0c95b5c8285e)
@@ -1,4 +1,6 @@
 # global
 import logging
+import functools
+
 from periodictable import formula as Formula
 
@@ -59,8 +61,8 @@
 
     def __init__(self, parent=None):
-        super(DensityPanel, self).__init__(parent)
+        super(DensityPanel, self).__init__()
 
         self.mode = None
-
+        self.manager = parent
         self.setupUi()
         self.setupModel()
@@ -79,16 +81,9 @@
 
         # signals
-        QtCore.QObject.connect(
-            self.ui.editMolarVolume,
-            QtCore.SIGNAL("textEdited(QString)"),
-            lambda text: self.setMode(MODES.VOLUME_TO_DENSITY))
-        QtCore.QObject.connect(
-            self.ui.editMassDensity,
-            QtCore.SIGNAL("textEdited(QString)"),
-            lambda text: self.setMode(MODES.DENSITY_TO_VOLUME))
-        QtCore.QObject.connect(
-            self.ui.buttonBox.button(QtGui.QDialogButtonBox.Reset),
-            QtCore.SIGNAL("clicked(bool)"),
-            lambda checked: self.modelReset())
+        self.ui.editMolarVolume.textEdited.connect(functools.partial(self.setMode, MODES.VOLUME_TO_DENSITY))
+        self.ui.editMassDensity.textEdited.connect(functools.partial(self.setMode, MODES.DENSITY_TO_VOLUME))
+
+        self.ui.buttonBox.button(QtGui.QDialogButtonBox.Reset).clicked.connect(self.modelReset)
+        self.ui.buttonBox.button(QtGui.QDialogButtonBox.Help).clicked.connect(self.displayHelp)
 
     def setupModel(self):
@@ -99,8 +94,5 @@
         self.model.setItem(MODEL.MASS_DENSITY     , QtGui.QStandardItem())
 
-        QtCore.QObject.connect(
-            self.model,
-            QtCore.SIGNAL("dataChanged(QModelIndex,QModelIndex)"),
-            self.dataChanged)
+        self.model.dataChanged.connect(self.dataChanged)
 
         self.modelReset()
@@ -170,2 +162,12 @@
             pass
             #self.model.endResetModel()
+
+    def displayHelp(self):
+        try:
+            location = self.manager.HELP_DIRECTORY_LOCATION + \
+                "/user/sasgui/perspectives/calculator/density_calculator_help.html"
+            self.manager._helpView.load(QtCore.QUrl(location))
+            self.manager._helpView.show()
+        except AttributeError:
+            # No manager defined - testing and standalone runs
+            pass
Index: src/sas/qtgui/GuiManager.py
===================================================================
--- src/sas/qtgui/GuiManager.py	(revision 7451b88f0f56bd446ed76a107655fae0fa96f8c4)
+++ src/sas/qtgui/GuiManager.py	(revision 1d85b5ee1bd466fc820afbac639a0c95b5c8285e)
@@ -24,4 +24,6 @@
 from IPythonWidget import IPythonWidget
 from WelcomePanel import WelcomePanel
+from SldPanel import SldPanel
+from DensityPanel import DensityPanel
 
 # Perspectives
@@ -131,4 +133,8 @@
         self.ackWidget = Acknowledgements()
         self.aboutWidget = AboutBox()
+
+        # Add calculators - floating for usability
+        self.SLDCalculator = SldPanel(self)
+        self.DVCalculator = DensityPanel(self)
 
     def statusBarSetup(self):
@@ -513,12 +519,10 @@
         """
         """
-        print("actionSLD_Calculator TRIGGERED")
-        pass
+        self.SLDCalculator.show()
 
     def actionDensity_Volume_Calculator(self):
         """
         """
-        print("actionDensity_Volume_Calculator TRIGGERED")
-        pass
+        self.DVCalculator.show()
 
     def actionSlit_Size_Calculator(self):
Index: src/sas/qtgui/SldPanel.py
===================================================================
--- src/sas/qtgui/SldPanel.py	(revision ef36eb2c47c12b70e206acedbd675127dbed1091)
+++ src/sas/qtgui/SldPanel.py	(revision 1d85b5ee1bd466fc820afbac639a0c95b5c8285e)
@@ -118,5 +118,7 @@
 
     def __init__(self, parent=None):
-        super(SldPanel, self).__init__(parent)
+        super(SldPanel, self).__init__()
+
+        self.manager = parent
 
         self.setupUi()
@@ -149,8 +151,6 @@
 
         # signals
-        QtCore.QObject.connect(
-            self.ui.buttonBox.button(QtGui.QDialogButtonBox.Reset),
-            QtCore.SIGNAL("clicked(bool)"),
-            lambda checked: self.modelReset())
+        self.ui.buttonBox.button(QtGui.QDialogButtonBox.Reset).clicked.connect(self.modelReset)
+        self.ui.buttonBox.button(QtGui.QDialogButtonBox.Help).clicked.connect(self.displayHelp)
 
     def setupModel(self):
@@ -232,2 +232,13 @@
             pass
             #self.model.endResetModel()
+
+    def displayHelp(self):
+        try:
+            location = self.manager.HELP_DIRECTORY_LOCATION + \
+                "/user/sasgui/perspectives/calculator/sld_calculator_help.html"
+            self.manager._helpView.load(QtCore.QUrl(location))
+            self.manager._helpView.show()
+        except AttributeError:
+            # No manager defined - testing and standalone runs
+            pass
+
Index: src/sas/qtgui/UI/DensityPanel.ui
===================================================================
--- src/sas/qtgui/UI/DensityPanel.ui	(revision 6083d6eac7288c42811c392e38943a4b00078d5e)
+++ src/sas/qtgui/UI/DensityPanel.ui	(revision 1d85b5ee1bd466fc820afbac639a0c95b5c8285e)
@@ -7,10 +7,20 @@
     <x>0</x>
     <y>0</y>
-    <width>633</width>
-    <height>293</height>
+    <width>290</width>
+    <height>178</height>
    </rect>
+  </property>
+  <property name="sizePolicy">
+   <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+    <horstretch>0</horstretch>
+    <verstretch>0</verstretch>
+   </sizepolicy>
   </property>
   <property name="windowTitle">
    <string>Density/Volume Calculator</string>
+  </property>
+  <property name="windowIcon">
+   <iconset resource="main_resources.qrc">
+    <normaloff>:/res/ball.ico</normaloff>:/res/ball.ico</iconset>
   </property>
   <layout class="QGridLayout" name="gridLayout_2">
@@ -134,9 +144,15 @@
    <item row="2" column="0">
     <widget class="QDialogButtonBox" name="buttonBox">
+     <property name="sizePolicy">
+      <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
+       <horstretch>0</horstretch>
+       <verstretch>0</verstretch>
+      </sizepolicy>
+     </property>
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
      <property name="standardButtons">
-      <set>QDialogButtonBox::Close|QDialogButtonBox::Reset</set>
+      <set>QDialogButtonBox::Close|QDialogButtonBox::Help|QDialogButtonBox::Reset</set>
      </property>
      <property name="centerButtons">
@@ -154,5 +170,7 @@
   <tabstop>buttonBox</tabstop>
  </tabstops>
- <resources/>
+ <resources>
+  <include location="main_resources.qrc"/>
+ </resources>
  <connections>
   <connection>
Index: src/sas/qtgui/UI/SldPanel.ui
===================================================================
--- src/sas/qtgui/UI/SldPanel.ui	(revision ef36eb2c47c12b70e206acedbd675127dbed1091)
+++ src/sas/qtgui/UI/SldPanel.ui	(revision 1d85b5ee1bd466fc820afbac639a0c95b5c8285e)
@@ -7,10 +7,20 @@
     <x>0</x>
     <y>0</y>
-    <width>632</width>
-    <height>651</height>
+    <width>447</width>
+    <height>403</height>
    </rect>
+  </property>
+  <property name="sizePolicy">
+   <sizepolicy hsizetype="Minimum" vsizetype="Minimum">
+    <horstretch>0</horstretch>
+    <verstretch>0</verstretch>
+   </sizepolicy>
   </property>
   <property name="windowTitle">
    <string>SLD Calculator</string>
+  </property>
+  <property name="windowIcon">
+   <iconset resource="main_resources.qrc">
+    <normaloff>:/res/ball.ico</normaloff>:/res/ball.ico</iconset>
   </property>
   <layout class="QGridLayout" name="gridLayout_2">
@@ -307,5 +317,5 @@
      </property>
      <property name="standardButtons">
-      <set>QDialogButtonBox::Close|QDialogButtonBox::Reset</set>
+      <set>QDialogButtonBox::Close|QDialogButtonBox::Help|QDialogButtonBox::Reset</set>
      </property>
      <property name="centerButtons">
@@ -331,5 +341,7 @@
   <tabstop>buttonBox</tabstop>
  </tabstops>
- <resources/>
+ <resources>
+  <include location="main_resources.qrc"/>
+ </resources>
  <connections>
   <connection>
Index: src/sas/qtgui/UI/convert_all.sh
===================================================================
--- src/sas/qtgui/UI/convert_all.sh	(revision fac261938acc72497d372196af3db641f7679088)
+++ src/sas/qtgui/UI/convert_all.sh	(revision 1d85b5ee1bd466fc820afbac639a0c95b5c8285e)
@@ -1,5 +1,5 @@
 # UI -> PY
 for filename in *.ui; do
-  pyuic4 $filename > "`basename "$filename" .ui`.py"
+  pyuic4.bat $filename > "`basename "$filename" .ui`.py"
 done
 
